import SwiftUI

struct LocalizedPostFeedSettingsView: View {

    @ObservedObject
    var settings: LocalizedPostSettings

    var body: some View {
        VStack(alignment: .leading) {
            StringPropertyView(
                title: "Title",
                text: $settings.title,
                footer: "The title of all post feed pages.")

            StringPropertyView(
                title: "URL prefix",
                text: $settings.feedUrlPrefix,
                footer: "The prefix to generate the urls for all post feed pages.")

            TextFieldPropertyView(
                title: "Description",
                text: $settings.description,
                footer: "The description of all post feed pages.")
        }
    }
}

#Preview {
    LocalizedPostFeedSettingsView(settings: .english)
        .padding()
}
